/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */
#ifndef UPM_CHECKCONFIG_H
#define UPM_CHECKCONFIG_H

#include <QObject>

#include "common.h"

class UpmCheckConfig : public QObject
{
    Q_OBJECT
public:
    explicit UpmCheckConfig(QObject *parent = nullptr);

    typedef bool (UpmCheckConfig::*pCheckConfigFun)(const QString &, const QStringList &);

    static QVariant checkConfig(const QString &, QVariant, QVariant::Type, const QStringList &, bool);

private:
    static bool checkSystemConfigValue(const QString &, const QStringList &, bool);

    static bool checkGsettingsConfigValue(QVariant &, QVariant::Type, const QStringList &, bool);
signals:

};

#endif // UPM_CHECKCONFIG_H
